Results 1 to 10 of 10

Thread: Drag and Drop (DnD) email attachments in Firefox 3.06+

  1. #1
    Join Date
    Oct 2008
    Posts
    16
    Rep Power
    7

    Default Drag and Drop (DnD) email attachments in Firefox 3.06+

    So, the extension for Firefox that allows users to drag and drop attachments onto emails seems to have a hard-coded limitation to Firefox versions <= 3.05

    There was an earlier workaround that involved editing the maxVersion parameter in the XPI file that held the DnD extension.

    The workaround does not seem to work anymore--I think the XPI is now signed, and can't be tampered with.

    Meanwhile my users are really missing that DnD functionality for their attachments!

    Any news on an update to the Zimbra DnD XPI for Forefox 3.06 and above?

  2. #2
    Join Date
    Oct 2008
    Posts
    16
    Rep Power
    7

    Default Still looking for a new drag and drop Firefix Add-in

    We're still waiting patiently for a new DnD Add-in that works with FireFox >=3.06.

    Doesn't anyone else use this handy zimlet/add-in?
    Last edited by nolamike; 06-15-2009 at 11:34 AM. Reason: typo

  3. #3
    Join Date
    Nov 2008
    Posts
    32
    Rep Power
    6

    Default

    The vesion that is up there now... 1.1.1 Will work

    They did have the wrong version posted at one time but this has been fixed.
    It will work with 3.0.11

  4. #4
    Join Date
    Oct 2008
    Posts
    16
    Rep Power
    7

    Default Hmm

    I have been unable to get DnD to work with FF 3.0.11 or 3.5. The com_zimbra_dnd.zip zimlet is deployed and currently enabled on the server.

    Could still just be some issue on my end, but I do notice the following lines in the install.rdf file within ZimbraDnD.xpi:

    <RDF: Description RDF:about="rdf:#$xPlhO3"
    em:id="{ec8030f7-c20a-464f-9b0e-13a3a9e97384}"
    em:minVersion="1.5"
    em:maxVersion="3.05" />

    This is from a freshly downloaded copy (today)
    [http://gallery.zimbra.com/files/uploads/ZimbraDnD.xpi]

    The implication is, FF versions over 3.05 will not work. Is this value in fact ignored by Firefox?

    Thanks for any clues folks can provide.

  5. #5
    Join Date
    Oct 2008
    Posts
    16
    Rep Power
    7

    Default No go on 2.0.0.20

    I just tested DnD on a computer with FF 2.0.0.20. Still didn't work. So, consistent with macdevin's post, it's looking like some specific problem on my end, not a hard-coded version limitation. Some issue with the deployment of the zimlet on the server is my guess.

    Back to the drawing board...

  6. #6
    Join Date
    May 2007
    Posts
    11
    Rep Power
    8

    Default

    I have the same problem, the zimlet is installed, and the latest XPI used in the client version of firefox 3.0.12 on linux, and it dosnt work, when you drag a file into the compsoing message it just opens it, not attaches it.

    Very annoying.

  7. #7
    Join Date
    Oct 2008
    Posts
    16
    Rep Power
    7

    Default

    Are you seeing the grey "drag files to here to attach" text under the subject line of messages being composed? That is one indication that the add-in is loaded properly. WIth my current problem, I am not seeing that text.

  8. #8
    Join Date
    May 2007
    Posts
    11
    Rep Power
    8

    Default

    no, I dont see that message, the same as you. Is there a bug in bugzilla raised for this?

  9. #9
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    Different than your issues, but you mentioned FF maxVersion above (plus for the newer posts I don't know if adesteele is trying against 6.x as you have no profile info - nolamike's first post is prior Beta1) but just FYI:

    v1.3 is out for FF3.5 (or 3.0.12) against ZCS 5.0.x
    GnR ZCS 6.0.x fix is in the works.
    Bug 39549 - ZimbraDnD not compatible with FF 3.5 & GnR
    http://gallery.zimbra.com/files/uploads/ZimbraDnD.xpi

    http://www.zimbra.com/forums/announc...html#post62754

    Edit:
    Might have to remove 1.1.1 manually since it creates a 2nd 1.3 entry.
    We're not pushing auto-update at this time.

    Edit2: Drag issue now confirmed/discussed in other thread - working on a solution.

    [quote=mmorse;146506]5.x won't upload issue - hopefully a quick fix by adding the dragenter

    Edit 3:
    Quote Originally Posted by mmorse View Post
    You can try the new version in the gallery - though we noticed a quirk with subsequent uploads when using FF3.5 - investigating.

    v1.3.1 (ZCS 5.x only) added the new dragenter/drop to the previous dragdrop. (We may even consider using dragover/dragleave with dropEffect sometime to give visual feedback your over the zone.) HTML5 drag and drop in Firefox 3.5 – 0xDECAFBAD
    Quote Originally Posted by NoDoze View Post
    Cool! Worked!

    Thanks!
    Last edited by mmorse; 07-30-2009 at 01:26 PM.

  10. #10
    Join Date
    Jul 2007
    Location
    Baltimore
    Posts
    1,649
    Rep Power
    11

    Default

    it took a total restart of zimbra for the zimlet to work for me so try that if you're still not getting the text in the compose window

Similar Threads

  1. Replies: 4
    Last Post: 04-28-2009, 12:08 AM
  2. Drag and drop or multiple select attachments
    By DavLud2 in forum General Questions
    Replies: 6
    Last Post: 07-25-2008, 03:52 PM
  3. Drag 'n' Drop zimlet on Linux
    By iain in forum Zimlets
    Replies: 2
    Last Post: 02-15-2008, 05:54 AM
  4. Firefox extension for drag and drop?
    By cabotine in forum Users
    Replies: 1
    Last Post: 02-02-2008, 06:28 AM
  5. Drag & Drop attachments
    By kurt in forum Users
    Replies: 1
    Last Post: 09-12-2007, 11:48 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •